/*-----------------------------------------------------------------------
Nom du fichier: Stdmno.h
Auteur: Philippe Mariano

Rle : Fichier d'en tte pour les fonctions SI divers

Cr le 14/12/2010
Dernire rvision le

Cross compilateur utilis: CodeVisionAVR V2
Composant cible : ATMEL 8 bits

Description: Fonctions divers

Remarque: Ce fichier est destin  un projet CVAVR2 
Il doit tre plac dans le sous rpertoire \CVAVR2\INC\
------------------------------------------------------------------------*/

#ifndef _Stdmno_INCLUDED_    // Evite que le fichier ne soit inclus plusieurs fois
#define _Stdmno_

#pragma used+
// -----------------------------------------------------------------------------------
// Rcupration de l'octet de poids faible d'un entier
unsigned char LSBYTE(int value);
/*
Rle:  retourne l'octet de poids faible contenu dans la variable "value" (16 bits)
*/
// -----------------------------------------------------------------------------------
// Rcupration de l'octet de poids fort d'un entier
unsigned char MSBYTE(int value);
/*
Rle:  retourne l'octet de poids fort contenu dans la variable "value" (16 bits)
*/
// ------------------------------------------------------------------------------------
// Construction d'un entier non sign  partir de deux octets
unsigned int MSLSBYTEtoUINT(unsigned char MSB, unsigned char LSB);
/*
Rle:  retourne un entier (16 bits) constitu de 256*MSB+LSB
*/
// ------------------------------------------------------------------------------------
#pragma used-

#pragma library Stdmno.lib

#endif    // termine la directive ifndef